Jack2 1.9.12

Public Member Functions | Public Attributes | List of all members
Jack::AudioParam Class Reference

`#include <JackAlsaAdapter.h>`

Inheritance diagram for Jack::AudioParam:

## Public Member Functions
| AudioParam (jack_nframes_t buffer_size, jack_nframes_t sample_rate)
AudioParam & | cardName (const char *n)
AudioParam & | frequency (int f)
AudioParam & | buffering (int fpb)
void | setInputs (int inputs)
AudioParam & | inputs (int n)
void | setOutputs (int outputs)
AudioParam & | outputs (int n)

## Public Attributes
const char * | fCardName
unsigned int | fFrequency
int | fBuffering
unsigned int | fSoftInputs
unsigned int | fSoftOutputs

## Detailed Description

A convenient class to pass parameters to AudioInterface

Definition at line 48 of file JackAlsaAdapter.h.

The documentation for this class was generated from the following file:

- JackAlsaAdapter.h